Bug 162515 - New port: games/minecraft-server Server for the game Minecraft
Summary: New port: games/minecraft-server Server for the game Minecraft
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-13 11:30 UTC by Martin Kropfinger
Modified: 2011-12-21 17:10 UTC (History)
0 users

See Also:


Attachments
minecraft-server.shar (3.46 KB, text/plain)
2011-11-13 11:30 UTC, Martin Kropfinger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Kropfinger 2011-11-13 11:30:10 UTC
The server for the block building game Minecraft
Comment 1 Michael Scheidell freebsd_committer 2011-12-10 05:13:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it
Comment 2 Michael Scheidell freebsd_committer 2011-12-17 14:09:19 UTC
State Changed
From-To: open->feedback

like -client, just a couple of minor portlint related patches. 
please approve: 
diff -Bbru /var/tmp/server/Makefile ./Makefile 
--- /var/tmp/server/Makefile	2011-12-17 09:04:43.000000000 -0500 
+++ ./Makefile	2011-12-17 09:07:56.000000000 -0500 
@@ -6,11 +6,10 @@ 
# 

PORTNAME=		minecraft-server 
-PORTVERSION=	1 
-CATEGORIES=		games 
+PORTVERSION=	1.0.0 
+CATEGORIES=	games java 
MASTER_SITES=	http://s3.amazonaws.com/MinecraftDownload/launcher/:minecraft  
http://www.minecraftwiki.net/images/f/f7/:icon 
- 
DISTNAME=		minecraft_server 
DISTFILES=		minecraft_server.jar:minecraft  
Bookshelf.png:icon 
@@ -14,6 +13,7 @@ 
DISTNAME=		minecraft_server 
DISTFILES=		minecraft_server.jar:minecraft  
Bookshelf.png:icon 
+EXTRACT_ONLY= 

MAINTAINER=		freebsd@rakor-net.de 
COMMENT=		Server for the block building game 
@@ -24,7 +24,6 @@ 

WRKSRC=			${WRKDIR} 
NO_BUILD=		yes 
-EXTRACT_ONLY= 
USE_JAVA=		yes 

.if !defined(WITHOUT_X11) 
@@ -48,7 +47,7 @@ 
echo "	mkdir ~/.minecraft-server" 				>> ${WRKDIR}/${PORTNAME} 
echo "fi" 										>> ${WRKDIR}/${PORTNAME} 
echo "cd ~/.minecraft-server"					>> ${WRKDIR}/${PORTNAME} 
-	cp ${WRKDIR}/${PORTNAME} ${WRKDIR}/${PORTNAME}-nogui 
+	${CP} ${WRKDIR}/${PORTNAME} ${WRKDIR}/${PORTNAME}-nogui 
echo "java -Xmx1024M -Xms1024M -jar ${DATADIR}/minecraft_server.jar" >> ${WRKDIR}/${PORTNAME} 
echo "java -Xmx1024M -Xms1024M -jar ${DATADIR}/minecraft_server.jar nogui" 	>> ${WRKDIR}/${PORTNAME}-nogui 
.if !defined(WITHOUT_X11) 
diff -Bbru /var/tmp/server/pkg-descr ./pkg-descr 
--- /var/tmp/server/pkg-descr	2011-12-17 09:04:43.000000000 -0500 
+++ ./pkg-descr	2011-12-17 09:06:42.000000000 -0500 
@@ -1,4 +1,4 @@ 
This is the server for the popular block building game Minecraft. 
There is a nongui-version and a gui-version. 

-www: http://www.minecraft.net/ 
+WWW: http://www.minecraft.net/
Comment 3 Michael Scheidell freebsd_committer 2011-12-17 14:23:04 UTC
more:
=> Attempting to fetch 
http://s3.amazonaws.com/MinecraftDownload/launcher/minecraft_server.jar
fetch: 
http://s3.amazonaws.com/MinecraftDownload/launcher/minecraft_server.jar: 
size mismatch: expected 621639, actual 747345
=> Attempting to fetch 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/minecraft_server.jar

so, needs this also:

diff -bBru /var/tmp/server/distinfo distinfo
--- /var/tmp/server/distinfo    2011-12-17 09:04:43.000000000 -0500
+++ distinfo    2011-12-17 09:21:39.000000000 -0500
@@ -1,4 +1,4 @@
-SHA256 (minecraft_server.jar) = 
abb7c8a5b9ab5bab3fd3cedb7a42394d866ccd9ee5dce792ae82281910106452
-SIZE (minecraft_server.jar) = 621639
+SHA256 (minecraft_server.jar) = 
985c5aaacf1a27ae1579a41190d2ecff0007b869ce68b57d893a6c6613ee2618
+SIZE (minecraft_server.jar) = 747345
  SHA256 (Bookshelf.png) = 
fe5e7f0bbbbe284379cb5e7aed8d539b727a3039f7fe8c64a179e4fc2a0e1821
  SIZE (Bookshelf.png) = 9674


-- 
Michael Scheidell, CTO
o: 561-999-5000
d: 561-948-2259
 >*| *SECNAP Network Security Corporation

    * Best Mobile Solutions Product of 2011
    * Best Intrusion Prevention Product
    * Hot Company Finalist 2011
    * Best Email Security Product
    * Certified SNORT Integrator
Comment 4 Martin Kropfinger 2011-12-17 20:59:23 UTC
OK, there was an update to the server by Mojang. Poorly they give no
version-numbers to the download-files.

We should update the filedata or disable the checking I think.

What do you think.

Greets Martin

Am Sat, 17 Dec 2011 09:23:04 -0500
schrieb Michael Scheidell <scheidell@freebsd.org>:

> more:
> => Attempting to fetch 
> http://s3.amazonaws.com/MinecraftDownload/launcher/minecraft_server.jar
> fetch: 
> http://s3.amazonaws.com/MinecraftDownload/launcher/minecraft_server.jar: 
> size mismatch: expected 621639, actual 747345
> => Attempting to fetch 
> ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/minecraft_server.jar
> 
> so, needs this also:
> 
> diff -bBru /var/tmp/server/distinfo distinfo
> --- /var/tmp/server/distinfo    2011-12-17 09:04:43.000000000 -0500
> +++ distinfo    2011-12-17 09:21:39.000000000 -0500
> @@ -1,4 +1,4 @@
> -SHA256 (minecraft_server.jar) = 
> abb7c8a5b9ab5bab3fd3cedb7a42394d866ccd9ee5dce792ae82281910106452
> -SIZE (minecraft_server.jar) = 621639
> +SHA256 (minecraft_server.jar) = 
> 985c5aaacf1a27ae1579a41190d2ecff0007b869ce68b57d893a6c6613ee2618
> +SIZE (minecraft_server.jar) = 747345
>   SHA256 (Bookshelf.png) = 
> fe5e7f0bbbbe284379cb5e7aed8d539b727a3039f7fe8c64a179e4fc2a0e1821
>   SIZE (Bookshelf.png) = 9674
> 
> 



-- 
GPG-Fingerprint:
4B90 A3D7 A626 8125 318C  ADB6 323D ED22 87B0 084D
Comment 5 Michael Scheidell freebsd_committer 2011-12-20 12:55:24 UTC
State Changed
From-To: feedback->analyzed

Scheduled for inclusion
Comment 6 dfilter service freebsd_committer 2011-12-21 16:59:31 UTC
scheidell    2011-12-21 16:59:16 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/minecraft-server Makefile distinfo pkg-descr pkg-plist 
  Log:
  - The server for the block building game Minecraft
  
  PR:             ports/162515
  Submitted by:   Martin Kropfinger <freebsd@rakor-net.de> (maintainer)
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.1398    +1 -0      ports/games/Makefile
  1.1       +58 -0     ports/games/minecraft-server/Makefile (new)
  1.1       +4 -0      ports/games/minecraft-server/distinfo (new)
  1.1       +4 -0      ports/games/minecraft-server/pkg-descr (new)
  1.1       +5 -0      ports/games/minecraft-server/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Michael Scheidell freebsd_committer 2011-12-21 16:59:57 UTC
State Changed
From-To: analyzed->closed

Committed with changes, thanks